| OpenCV 4.3.0 Open Source Computer Vision

Classes | Enumerations | Functions
cv::stereo Namespace Reference

## Classes
struct | Match
struct | PropagationParameters
class | QuasiDenseStereo
| Class containing the methods needed for Quasi Dense Stereo computation. More...
class | StereoBinaryBM
| Class for computing stereo correspondence using the block matching algorithm, introduced and contributed to OpenCV by K. Konolige. More...
class | StereoBinarySGBM
| The class implements the modified H. Hirschmuller algorithm [105] that differs from the original one as follows: More...
class | StereoMatcher
| Filters off small noise blobs (speckles) in the disparity map. More...

## Enumerations
enum | { CV_DENSE_CENSUS, CV_SPARSE_CENSUS, CV_CS_CENSUS, CV_MODIFIED_CS_CENSUS, CV_MODIFIED_CENSUS_TRANSFORM, CV_MEAN_VARIATION, CV_STAR_KERNEL }
| types of supported kernels More...
enum | { CV_SPECKLE_REMOVAL_ALGORITHM, CV_SPECKLE_REMOVAL_AVG_ALGORITHM }
| speckle removal algorithms. These algorithms have the purpose of removing small regions More...
enum | { CV_QUADRATIC_INTERPOLATION, CV_SIMETRICV_INTERPOLATION }
| subpixel interpolationm methods for disparities. More...

## Functions
void | censusTransform (const Mat &image1, const Mat &image2, int kernelSize, Mat &dist1, Mat &dist2, const int type)
void | censusTransform (const Mat &image1, int kernelSize, Mat &dist1, const int type)
| single image census transform More...
void | modifiedCensusTransform (const Mat &img1, const Mat &img2, int kernelSize, Mat &dist1, Mat &dist2, const int type, int t=0, const Mat &integralImage1=Mat(), const Mat &integralImage2=Mat())
void | modifiedCensusTransform (const Mat &img1, int kernelSize, Mat &dist, const int type, int t=0, const Mat &integralImage=Mat())
| single version of modified census transform descriptor More...
void | starCensusTransform (const Mat &img1, const Mat &img2, int kernelSize, Mat &dist1, Mat &dist2)
| in a 9x9 kernel only certain positions are choosen More...
void | starCensusTransform (const Mat &img1, int kernelSize, Mat &dist)
| single image version of star kernel More...
void | symetricCensusTransform (const Mat &img1, const Mat &img2, int kernelSize, Mat &dist1, Mat &dist2, const int type)
void | symetricCensusTransform (const Mat &img1, int kernelSize, Mat &dist1, const int type)
| single version of census transform More...

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

types of supported kernels

Enumerator
CV_DENSE_CENSUS |
CV_SPARSE_CENSUS |
CV_CS_CENSUS |
CV_MODIFIED_CS_CENSUS |
CV_MODIFIED_CENSUS_TRANSFORM |
CV_MEAN_VARIATION |
CV_STAR_KERNEL |

## Function Documentation

## ◆ censusTransform() [1/2]

void cv::stereo::censusTransform | ( | const Mat & | image1,
|  | const Mat & | image2,
|  | int | kernelSize,
|  | Mat & | dist1,
|  | Mat & | dist2,
|  | const int | type
| ) |  |

Two variations of census applied on input images Implementation of a census transform which is taking into account just the some pixels from the census kernel thus allowing for larger block sizes

## ◆ censusTransform() [2/2]

void cv::stereo::censusTransform | ( | const Mat & | image1,
|  | int | kernelSize,
|  | Mat & | dist1,
|  | const int | type
| ) |  |

single image census transform

## ◆ modifiedCensusTransform() [1/2]

void cv::stereo::modifiedCensusTransform | ( | const Mat & | img1,
|  | const Mat & | img2,
|  | int | kernelSize,
|  | Mat & | dist1,
|  | Mat & | dist2,
|  | const int | type,
|  | int | t = `0`,
|  | const Mat & | integralImage1 = `Mat()`,
|  | const Mat & | integralImage2 = `Mat()`
| ) |  |

STANDARD_MCT - Modified census which is memorizing for each pixel 2 bits and includes a tolerance to the pixel comparison MCT_MEAN_VARIATION - Implementation of a modified census transform which is also taking into account the variation to the mean of the window not just the center pixel

## ◆ modifiedCensusTransform() [2/2]

void cv::stereo::modifiedCensusTransform | ( | const Mat & | img1,
|  | int | kernelSize,
|  | Mat & | dist,
|  | const int | type,
|  | int | t = `0`,
|  | const Mat & | integralImage = `Mat()`
| ) |  |

single version of modified census transform descriptor

## ◆ starCensusTransform() [1/2]

void cv::stereo::starCensusTransform | ( | const Mat & | img1,
|  | const Mat & | img2,
|  | int | kernelSize,
|  | Mat & | dist1,
|  | Mat & | dist2
| ) |  |

in a 9x9 kernel only certain positions are choosen

## ◆ starCensusTransform() [2/2]

void cv::stereo::starCensusTransform | ( | const Mat & | img1,
|  | int | kernelSize,
|  | Mat & | dist
| ) |  |

single image version of star kernel

## ◆ symetricCensusTransform() [1/2]

void cv::stereo::symetricCensusTransform | ( | const Mat & | img1,
|  | const Mat & | img2,
|  | int | kernelSize,
|  | Mat & | dist1,
|  | Mat & | dist2,
|  | const int | type
| ) |  |

The classical center symetric census A modified version of cs census which is comparing a pixel with its correspondent after the center

## ◆ symetricCensusTransform() [2/2]

void cv::stereo::symetricCensusTransform | ( | const Mat & | img1,
|  | int | kernelSize,
|  | Mat & | dist1,
|  | const int | type
| ) |  |

single version of census transform